<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Task 32.60 album details</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script> 
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script> 
    <style>
        img{
            height: 150px;
            width: 150px;
        }
    </style>
</head>
<body>
    <div class = "container">
        <div class = "text-center mb-4">
            <h3 class = "text-uppercase">Danh sách ảnh của album số 3</h3>
        </div>
        <div class = "form-group">
            <table class = "table table-border table-striped table-hover" id="table-photo">
                <thead>
                    <tr>
                        <th class = "col-sm-1">STT</th>
                        <th class = "col-sm-1">Album</th>
                        <th class = "col-sm-4">Title</th>
                        <th class = "col-sm-4">URL ảnh</th>
                        <th class = "col-sm-2">Thumbnail</th>
                    </tr>
                </thead>
                <tbody>
                    
                </tbody>
            </table>
        </div>

    </div>
</body>
<script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gREQUEST_STATUS_OK = 200;
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function(){
        getAllPhotoOfAlbum3();

    });
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    function getAllPhotoOfAlbum3(){
        $.ajax({
            url: "https://jsonplaceholder.typicode.com/albums/3/photos",
            type: "GET",
            dataType: "json",
            success: function (paramAlbumObj){
                console.log(paramAlbumObj);
                showPhotoDetailToTable(paramAlbumObj);
            },
            error: function (ajaxContext) {
                alert(ajaxContext.responseText);
            },
        });
    }
    //hàm hiển thị chi tiết ảnh vào bảng
    function showPhotoDetailToTable(paramAlbumObj){
        "use strict";
        var vTablePhoto = $("#table-photo");
        for (var bI =0; bI <paramAlbumObj.length; bI++){
            //thêm dòng mới và gắn vào table
            var bNewRow = $("<tr>").appendTo(vTablePhoto);
            //thêm các ô, gắn vào dòng trên và điền dữ liệu innerHTML cho từng ô
            $("<td>", {html: paramAlbumObj[bI].id}).appendTo(bNewRow);
            $("<td>", {html: paramAlbumObj[bI].albumId}).appendTo(bNewRow);
            $("<td>", {html: paramAlbumObj[bI].title}).appendTo(bNewRow);
            $("<td>", {html: paramAlbumObj[bI].url}).appendTo(bNewRow);
            //ô ảnh
            var bThumbnailCell = $("<td>").appendTo(bNewRow);
           //tạo ảnh
            var bThumbnailImg = $("<img>",{
                src: paramAlbumObj[bI].thumbnailUrl
            }).appendTo(bThumbnailCell);        
        }
        
    }
</script>
</html>
